Bug 109869 - System Freeze if rhgb+nvidia+acpi+pcmcia
System Freeze if rhgb+nvidia+acpi+pcmcia
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 11:10 EST by Robert Brimhall
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 10:31:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Brimhall 2003-11-12 11:10:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Epiphany/1.0.4

Description of problem:
if using rhgb, nvidia driver, and acpi after the rhgb and during the
GNOMEsplash screen the entire system becomes unresponsive and must be
shutdownuncleanly.  This does not happen with the standard driver and
acpi. It does nothappen with the nvidia driver without acpi. Only with
the three together. Noerrors are produced from what I can tell or if
you can tell me where to look.This is the only error I see in the
XFree86 logs:(WW) Open APM failed (/dev/apm_bios) (No such device)

Version-Release number of selected component (if applicable):
rhgb-0.11.2-1

How reproducible:
Always

Steps to Reproduce:
1.Append acpi=on to /boot/grub/grub.conf and rhgb
2.Use nvidia driver
3.reboot, login, and watch the system lock up and be totally unresponsive
    

Actual Results:  The system froze requiring an unclean shutdown

Expected Results:  Log in to GNOME as normal

Additional info:
Comment 1 Andrey Bondarenko 2003-12-02 09:45:23 EST
Well, AMD761 chipset, GeForceFX5200, acpi=on, vga=792 (frame 
buffer), rhgb, KDE. All works properly.  
Comment 2 Robert Brimhall 2003-12-02 09:56:11 EST
It works fine unless the pcmcia card is plugged in during boot... you
can plug the card in after boot and evrything is fine... 
Comment 3 Len Brown 2004-03-24 03:29:24 EST
So this hang at splash screen requires 4 things
1. nvidia driver -- not standard driver
2. rhgb enabled
3. acpi=on
4. pcmcia card plugged in during boot

and if any of these ingredients are not there then no hang?
Does it still happen with a recent kernel?
Can you attach the dmesg?
Comment 4 Daniel Veillard 2004-11-30 10:31:27 EST
No news on this for more than 8 months and 2 fedora core releases,
I think we can safely close this bug now.

Daniel

Note You need to log in before you can comment on or make changes to this bug.